<?php
// +----------------------------------------------------------------------
// | 新增权限菜单
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;

use app\common\controller\_Admin;
use app\admin\model\AuthMenu as Menu;

class menu_insert extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->insert($param);
        }

        $controller = '';
        if (!empty($param['pid'])) {
            $controller = Menu::where('id', $param['pid'])->value('controller');
        }
        $this->assign('controller', $controller);
        $this->assign('pid', $param['pid']);
        return $this->fetch('auth/menu/insert');
    }
    
    // 新增菜单
    private function insert($param=[]) {
        $res = Menu::create($param);
        if ($res != false) {
            $param = $this->param_group($param, $res->id);
            $ress  = Menu::update($param);
            if ($ress != false) {
                return $this->_json('00', '创建成功！');
            }

            return $this->_json('01', '写入成功，但注意：更新权限路径失败！');
        }

        return $this->_json('01', '创建失败！');
    }

    // 参数组合处理
    private function param_group($param=[], $id) {
        // 需要获取到的参数如下：
        // path 为全路径
        // level 为等级

        $return = [
            'id' => $id,
        ];
        // 顶级权限等级为1，全路径为自身
        if ($param['pid'] == 0) {
            $return['level'] = 1;
            $return['path'] = $id;
        } else {
            $info = Menu::where('id', $param['pid'])->field('path, level')->find();
            $return['level'] = $info['level']+1;
            $return['path'] = $info['path'].'/'.$id;
        }

        return $return;
    }
}
