/*
Navicat MySQL Data Transfer

Source Server         : phplaf
Source Server Version : 50726
Source Host           : 120.24.170.163:3306
Source Database       : laf

Target Server Type    : MYSQL
Target Server Version : 50726
File Encoding         : 65001

Date: 2020-04-09 17:28:21
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for tp_auth_admin
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin`;
CREATE TABLE `tp_auth_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) DEFAULT NULL COMMENT '用户名',
  `pwd` varchar(32) DEFAULT NULL COMMENT 'DM5后的密码',
  `nick` varchar(32) DEFAULT NULL COMMENT '昵称',
  `logo` varchar(120) DEFAULT NULL COMMENT '头像地址',
  `role` int(11) DEFAULT NULL COMMENT '角色ID',
  `phone` varchar(32) DEFAULT NULL COMMENT '手机号',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `type` tinyint(1) DEFAULT '1' COMMENT '身份 1|2|3 管理员|加盟商|商户',
  `auto_time` int(10) DEFAULT NULL COMMENT '七天登录 - 过期时间',
  `auto_rand` int(8) DEFAULT NULL COMMENT '七天登录 - 秘钥',
  `auto_ip` varchar(32) DEFAULT NULL COMMENT '七天登录 - IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `role` (`role`) USING BTREE,
  KEY `name` (`name`),
  KEY `phone` (`phone`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员';

-- ----------------------------
-- Records of tp_auth_admin
-- ----------------------------
INSERT INTO `tp_auth_admin` VALUES ('1', 'admin', '1e9cc7b0bad90033900d375b9e839288', '小黄牛', null, '0', '15992431688', '1', '1', '0', '0', '', '1557736403', '1557804808');

-- ----------------------------
-- Table structure for tp_auth_admin_action
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_action`;
CREATE TABLE `tp_auth_admin_action` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- ----------------------------
-- Records of tp_auth_admin_action
-- ----------------------------

-- ----------------------------
-- Table structure for tp_auth_admin_action_02
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_action_02`;
CREATE TABLE `tp_auth_admin_action_02` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- ----------------------------
-- Records of tp_auth_admin_action_02
-- ----------------------------

-- ----------------------------
-- Table structure for tp_auth_admin_action_1
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_action_1`;
CREATE TABLE `tp_auth_admin_action_1` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- ----------------------------
-- Records of tp_auth_admin_action_1
-- ----------------------------
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882780182503694', '1', 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"admin\"}', '219.137.52.180', '1586415907', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882842800065476', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"10\",\"name\":\"检测BOM头\",\"controller\":\"index\",\"action\":\"bomhead\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '219.137.52.180', '1586423550', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882842888937914', '1', 'auth/menu_update', '修改成功！', '{\"id\":\"48\",\"name\":\"检测BOM头\",\"controller\":\"index\",\"action\":\"bomhead\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '219.137.52.180', '1586423561', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882845729859402', '1', 'index/bomhead', '检测成功，存在BOM头文件', '{\"type\":\"1\"}', '219.137.52.180', '1586423908', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882845794510601', '1', 'index/bomhead', '检测成功，存在BOM头文件', '{\"type\":\"1\"}', '219.137.52.180', '1586423916', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882845843787228', '1', 'index/bomhead', 'BOM头文件清除成功', '{\"type\":\"2\"}', '219.137.52.180', '1586423922', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882845856509326', '1', 'index/bomhead', '检测成功，暂无存在BOM头文件', '{\"type\":\"1\"}', '219.137.52.180', '1586423923', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882846459773258', '1', 'index/bomhead', '检测成功，暂无存在BOM头文件', '{\"type\":\"1\"}', '219.137.52.180', '1586423997', null);
INSERT INTO `tp_auth_admin_action_1` VALUES ('9882849266287761', '1', 'index/bomhead', '检测成功，暂无存在BOM头文件', '{\"type\":\"1\"}', '219.137.52.180', '1586424340', null);

-- ----------------------------
-- Table structure for tp_auth_admin_action_22
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_action_22`;
CREATE TABLE `tp_auth_admin_action_22` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- ----------------------------
-- Records of tp_auth_admin_action_22
-- ----------------------------

-- ----------------------------
-- Table structure for tp_auth_admin_login
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_login`;
CREATE TABLE `tp_auth_admin_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `ip` varchar(32) DEFAULT NULL COMMENT 'IP',
  `province` varchar(32) DEFAULT NULL COMMENT '省',
  `city` varchar(32) DEFAULT NULL COMMENT '市',
  `area` varchar(32) DEFAULT NULL COMMENT '区',
  `create_time` int(19) DEFAULT NULL COMMENT '登录时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 登录日志表';

-- ----------------------------
-- Records of tp_auth_admin_login
-- ----------------------------
INSERT INTO `tp_auth_admin_login` VALUES ('1', '1', '127.0.0.1', '本地', '本地', '本地', '1585894305');
INSERT INTO `tp_auth_admin_login` VALUES ('2', '1', '219.137.52.180', '-', '-', '-', '1586415907');

-- ----------------------------
-- Table structure for tp_auth_admin_menu
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_menu`;
CREATE TABLE `tp_auth_admin_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin` int(11) DEFAULT NULL COMMENT '管理ID',
  `menu_list` text COMMENT '权限id',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 独立权限';

-- ----------------------------
-- Records of tp_auth_admin_menu
-- ----------------------------
INSERT INTO `tp_auth_admin_menu` VALUES ('1', '1', '12,13,22,28,31,29,30', '1557737476', '1557801513');

-- ----------------------------
-- Table structure for tp_auth_menu
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_menu`;
CREATE TABLE `tp_auth_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `pid` int(11) DEFAULT '0' COMMENT '父id',
  `name` varchar(64) DEFAULT NULL COMMENT '菜单名称',
  `controller` varchar(64) DEFAULT NULL COMMENT '控制器名称',
  `action` varchar(128) DEFAULT NULL COMMENT '方法名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `icon` varchar(32) DEFAULT NULL COMMENT 'ICON 图标',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  `display` int(1) DEFAULT '1' COMMENT '是否在菜单显示 0|1 否|是',
  `public` int(1) DEFAULT '0' COMMENT '是否公共权限 0|1 否|是',
  `path` varchar(32) DEFAULT NULL COMMENT '完整路径',
  `level` tinyint(1) DEFAULT '1' COMMENT '等级',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 权限菜单';

-- ----------------------------
-- Records of tp_auth_menu
-- ----------------------------
INSERT INTO `tp_auth_menu` VALUES ('10', '0', '主页', 'index', 'index', '1', 'home', '0', '1557716671', '1557716671', '1', '1', '10', '1');
INSERT INTO `tp_auth_menu` VALUES ('11', '10', '控制台', 'index', 'main', '1', '', '0', '1557716698', '1557716698', '1', '1', '10/11', '2');
INSERT INTO `tp_auth_menu` VALUES ('12', '0', '系统设置', '', '', '1', 'set', '0', '1557716737', '1557716737', '1', '0', '12', '1');
INSERT INTO `tp_auth_menu` VALUES ('13', '12', '权限', '', '', '1', '', '2', '1557716778', '1585894501', '1', '0', '12/13', '2');
INSERT INTO `tp_auth_menu` VALUES ('14', '13', '菜单', 'auth', 'menu_list', '1', '', '0', '1557716800', '1557718556', '1', '0', '12/13/14', '3');
INSERT INTO `tp_auth_menu` VALUES ('15', '14', '新增', 'auth', 'menu_insert', '1', '', '0', '1557716835', '1557716835', '0', '0', '12/13/14/15', '4');
INSERT INTO `tp_auth_menu` VALUES ('16', '14', '修改', 'auth', 'menu_update', '1', '', '0', '1557717011', '1557717011', '0', '0', '12/13/14/16', '4');
INSERT INTO `tp_auth_menu` VALUES ('17', '14', '删除', 'auth', 'menu_delete', '1', '', '0', '1557717024', '1557717024', '0', '0', '12/13/14/17', '4');
INSERT INTO `tp_auth_menu` VALUES ('18', '13', '角色', 'auth', 'role_list', '1', '', '0', '1557718545', '1557718637', '1', '0', '12/13/18', '3');
INSERT INTO `tp_auth_menu` VALUES ('19', '18', '新增', 'auth', 'role_insert', '1', '', '0', '1557718577', '1557718577', '0', '0', '12/13/18/19', '4');
INSERT INTO `tp_auth_menu` VALUES ('20', '18', '修改', 'auth', 'role_update', '1', '', '0', '1557718629', '1557718642', '0', '0', '12/13/18/20', '4');
INSERT INTO `tp_auth_menu` VALUES ('21', '18', '删除', 'auth', 'role_delete', '1', '', '0', '1557718657', '1557718658', '0', '0', '12/13/18/21', '4');
INSERT INTO `tp_auth_menu` VALUES ('22', '13', '管理员', 'auth', 'admin_list', '1', '', '0', '1557730762', '1557730762', '1', '0', '12/13/22', '3');
INSERT INTO `tp_auth_menu` VALUES ('23', '22', '新增', 'auth', 'admin_insert', '1', '', '0', '1557730784', '1557730784', '0', '0', '12/13/22/23', '4');
INSERT INTO `tp_auth_menu` VALUES ('24', '22', '修改', 'auth', 'admin_update', '1', '', '0', '1557730795', '1557730795', '0', '0', '12/13/22/24', '4');
INSERT INTO `tp_auth_menu` VALUES ('25', '22', '删除', 'auth', 'admin_delete', '1', '', '0', '1557730811', '1557730811', '0', '0', '12/13/22/25', '4');
INSERT INTO `tp_auth_menu` VALUES ('26', '22', '独立权限', 'auth', 'admin_menu', '1', '', '0', '1557730830', '1557730830', '0', '0', '12/13/22/26', '4');
INSERT INTO `tp_auth_menu` VALUES ('27', '18', '权限设置', 'auth', 'role_menu', '1', '', '0', '1557798353', '1557798353', '0', '0', '12/13/18/27', '4');
INSERT INTO `tp_auth_menu` VALUES ('28', '22', '登录日志', 'auth', 'admin_login_log', '1', '', '0', '1557800490', '1557800496', '0', '0', '12/13/22/28', '4');
INSERT INTO `tp_auth_menu` VALUES ('29', '22', '操作日志', 'auth', 'admin_action_log', '1', '', '0', '1557800518', '1557800832', '0', '0', '12/13/22/29', '4');
INSERT INTO `tp_auth_menu` VALUES ('30', '29', '删除', 'auth', 'admin_login_delete', '1', '', '0', '1557801483', '1557801483', '0', '0', '12/13/22/29/30', '5');
INSERT INTO `tp_auth_menu` VALUES ('31', '28', '删除', 'auth', 'admin_action_delete', '1', '', '0', '1557801497', '1557801498', '0', '0', '12/13/22/28/31', '5');
INSERT INTO `tp_auth_menu` VALUES ('32', '10', '修改密码', 'auth', 'admin_pwd', '1', '', '0', '1557803756', '1557803756', '0', '1', '10/32', '2');
INSERT INTO `tp_auth_menu` VALUES ('33', '10', 'CMD工具', 'cmd', 'index', '1', '', '0', '1578019094', '1578019094', '0', '0', '10/33', '2');
INSERT INTO `tp_auth_menu` VALUES ('34', '12', '定时任务', 'crontab', 'index', '1', '', '0', '1578648653', '1578648653', '1', '0', '12/34', '2');
INSERT INTO `tp_auth_menu` VALUES ('35', '34', '新增', 'crontab', 'insert', '1', '', '0', '1578648666', '1578648666', '0', '0', '12/34/35', '3');
INSERT INTO `tp_auth_menu` VALUES ('36', '34', '删除', 'crontab', 'delete', '1', '', '0', '1578648678', '1578648678', '0', '0', '12/34/36', '3');
INSERT INTO `tp_auth_menu` VALUES ('37', '34', '修改', 'crontab', 'update', '1', '', '0', '1578648689', '1578648689', '0', '0', '12/34/37', '3');
INSERT INTO `tp_auth_menu` VALUES ('38', '12', '数据库', 'database', '', '1', '', '1', '1585894382', '1585894425', '1', '0', '12/38', '2');
INSERT INTO `tp_auth_menu` VALUES ('39', '38', '数据表', 'database', 'index', '1', '', '0', '1585894398', '1585894398', '1', '0', '12/38/39', '3');
INSERT INTO `tp_auth_menu` VALUES ('40', '39', '预览表结构', 'database', 'details', '1', '', '0', '1585894412', '1585894412', '0', '0', '12/38/39/40', '4');
INSERT INTO `tp_auth_menu` VALUES ('41', '12', '应用日志', 'laflog', 'index', '1', '', '1', '1585903185', '1585903308', '1', '0', '12/41', '2');
INSERT INTO `tp_auth_menu` VALUES ('43', '41', '日志列表', 'laflog', 'showlist', '1', '', '0', '1585903300', '1585903300', '0', '0', '12/41/43', '3');
INSERT INTO `tp_auth_menu` VALUES ('44', '43', '日志详情', 'laflog', 'details', '1', '', '0', '1585903320', '1585903320', '0', '0', '12/41/43/44', '4');
INSERT INTO `tp_auth_menu` VALUES ('45', '41', '清空所有目录', 'laflog', 'delete', '1', '', '0', '1585905032', '1585905032', '0', '0', '12/41/45', '3');
INSERT INTO `tp_auth_menu` VALUES ('46', '43', '清空当前目录', 'laflog', 'file_delete', '1', '', '0', '1585905056', '1585905056', '0', '0', '12/41/43/46', '4');
INSERT INTO `tp_auth_menu` VALUES ('47', '10', '清空Think缓存', 'index', 'runtime_delete', '1', '', '0', '1585906671', '1585906671', '0', '0', '10/47', '2');
INSERT INTO `tp_auth_menu` VALUES ('48', '10', '检测BOM头', 'index', 'bomhead', '1', '', '0', '1586423550', '1586423561', '0', '0', '10/48', '2');

-- ----------------------------
-- Table structure for tp_auth_role
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_role`;
CREATE TABLE `tp_auth_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL COMMENT '角色名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `menu_list` text COMMENT '权限列表，用逗号分隔',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 角色';

-- ----------------------------
-- Records of tp_auth_role
-- ----------------------------
INSERT INTO `tp_auth_role` VALUES ('4', '测试', '1', '12,13,14,15,16,17,18,19,20,21,27,22,23,24,25,26', '1557726285', '1557798370');

-- ----------------------------
-- Table structure for tp_cmd_admin
-- ----------------------------
DROP TABLE IF EXISTS `tp_cmd_admin`;
CREATE TABLE `tp_cmd_admin` (
  `ca_id` int(11) NOT NULL AUTO_INCREMENT,
  `ca_nick` varchar(45) DEFAULT NULL COMMENT '昵称',
  `ca_name` varchar(30) NOT NULL COMMENT '用户名',
  `ca_pwd` varchar(35) DEFAULT NULL COMMENT '密码(md5+注册时间)',
  `ca_add_time` int(10) DEFAULT NULL COMMENT '注册时间',
  `ca_status` tinyint(1) DEFAULT '1' COMMENT '状态 0关闭 1开启',
  PRIMARY KEY (`ca_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='CMD工具-账号表';

-- ----------------------------
-- Records of tp_cmd_admin
-- ----------------------------
INSERT INTO `tp_cmd_admin` VALUES ('1', '超级账号', 'admin', '5b72613633647bf23556bb404c74745d', '1542850535', '1');

-- ----------------------------
-- Table structure for tp_cmd_admin_action_log
-- ----------------------------
DROP TABLE IF EXISTS `tp_cmd_admin_action_log`;
CREATE TABLE `tp_cmd_admin_action_log` (
  `caa_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ca_id` int(11) DEFAULT NULL COMMENT 'CMD账号ID',
  `caa_ip` varchar(15) DEFAULT NULL COMMENT '提交时的IP',
  `caa_content` varchar(1024) DEFAULT NULL COMMENT '命令行',
  `caa_time` int(10) DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`caa_id`),
  KEY `m_id` (`ca_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=91 DEFAULT CHARSET=utf8 COMMENT='CMD工具-命令行提交记录';

-- ----------------------------
-- Records of tp_cmd_admin_action_log
-- ----------------------------

-- ----------------------------
-- Table structure for tp_cmd_admin_login_log
-- ----------------------------
DROP TABLE IF EXISTS `tp_cmd_admin_login_log`;
CREATE TABLE `tp_cmd_admin_login_log` (
  `cal_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ca_id` int(11) DEFAULT NULL COMMENT 'cmd账号ID',
  `cal_ip` varchar(15) DEFAULT NULL COMMENT '登录IP',
  `cal_time` int(10) DEFAULT NULL COMMENT '登录时间',
  `cal_province` varchar(15) DEFAULT NULL COMMENT '登录地址省',
  `cal_city` varchar(25) DEFAULT NULL COMMENT '登录地址市',
  `cal_area` varchar(25) DEFAULT NULL COMMENT '登录地址区',
  PRIMARY KEY (`cal_id`),
  KEY `m_id` (`ca_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='CMD工具-账号登录日志';

-- ----------------------------
-- Records of tp_cmd_admin_login_log
-- ----------------------------

-- ----------------------------
-- Table structure for tp_crontab
-- ----------------------------
DROP TABLE IF EXISTS `tp_crontab`;
CREATE TABLE `tp_crontab` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `title` varchar(128) NOT NULL COMMENT '任务名称',
  `task` text NOT NULL COMMENT '执行代码',
  `bin_log` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否记录日志 0|1',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态 0|1',
  `second` varchar(16) NOT NULL COMMENT '秒',
  `minute` varchar(16) NOT NULL COMMENT '分',
  `hour` varchar(16) NOT NULL COMMENT '时',
  `day` varchar(16) NOT NULL COMMENT '天',
  `month` varchar(16) NOT NULL COMMENT '月',
  `week` varchar(16) NOT NULL COMMENT '周',
  `create_time` int(11) NOT NULL COMMENT '新增时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='定时任务表';

-- ----------------------------
-- Records of tp_crontab
-- ----------------------------
INSERT INTO `tp_crontab` VALUES ('1', '测试请求百度', 'curl http://www.baidu.com', '0', '1', '5', '*', '*', '*', '*', '*', '1578649577');
INSERT INTO `tp_crontab` VALUES ('2', '测试shell脚本', '/home/php/7.3.13/bin/php -r \"echo \'小黄牛真帅！\';\"', '1', '1', '2', '*', '*', '*', '*', '*', '1578649901');
